# Makefile.in generated automatically by automake 1.4-p5 from Makefile.am

# Copyright (C) 1994, 1995-8, 1999, 2001 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


SHELL = @SHELL@

srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
prefix = @prefix@
exec_prefix = @exec_prefix@

bindir = @bindir@
sbindir = @sbindir@
libexecdir = @libexecdir@
datadir = @datadir@
sysconfdir = @sysconfdir@
sharedstatedir = @sharedstatedir@
localstatedir = @localstatedir@
libdir = @libdir@
infodir = @infodir@
mandir = @mandir@
includedir = @includedir@
oldincludedir = /usr/include

DESTDIR =

pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@

top_builddir = ..

ACLOCAL = @ACLOCAL@
AUTOCONF = @AUTOCONF@
AUTOMAKE = @AUTOMAKE@
AUTOHEADER = @AUTOHEADER@

INSTALL = @INSTALL@
INSTALL_PROGRAM = @INSTALL_PROGRAM@ $(AM_INSTALL_PROGRAM_FLAGS)
INSTALL_DATA = @INSTALL_DATA@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
transform = @program_transform_name@

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
MAKEINFO = @MAKEINFO@
PACKAGE = @PACKAGE@
PERL = @PERL@
SH = @SH@
VERSION = @VERSION@
is_perl = @is_perl@
is_sh = @is_sh@
x_includes = @x_includes@
x_libraries = @x_libraries@

bin_SCRIPTS = df.pl dmesg.pl du.pl du_filter.pl ifconfig.pl ifconfig_filter.pl 	    ls.pl netstat.pl ps.pl ps_filter.pl route.pl route_filter.pl rwho.pl

CLEANFILES = $(bin_SCRIPTS)
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = ../config.h
CONFIG_CLEAN_FILES = 
SCRIPTS =  $(bin_SCRIPTS)

DIST_COMMON =  Makefile.am Makefile.in install-sh


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = tar
GZIP_ENV = --best
all: all-redirect
.SUFFIXES:
$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOMAKE) --gnu scripts/Makefile

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status $(BUILT_SOURCES)
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status


install-binSCRIPTS: $(bin_SCRIPTS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(bindir)
	@list='$(bin_SCRIPTS)'; for p in $$list; do \
	  if test -f $$p; then \
	    echo " $(INSTALL_SCRIPT) $$p $(DESTDIR)$(bindir)/`echo $$p|sed '$(transform)'`"; \
	    $(INSTALL_SCRIPT) $$p $(DESTDIR)$(bindir)/`echo $$p|sed '$(transform)'`; \
	  else if test -f $(srcdir)/$$p; then \
	    echo " $(INSTALL_SCRIPT) $(srcdir)/$$p $(DESTDIR)$(bindir)/`echo $$p|sed '$(transform)'`"; \
	    $(INSTALL_SCRIPT) $(srcdir)/$$p $(DESTDIR)$(bindir)/`echo $$p|sed '$(transform)'`; \
	  else :; fi; fi; \
	done

uninstall-binSCRIPTS:
	@$(NORMAL_UNINSTALL)
	list='$(bin_SCRIPTS)'; for p in $$list; do \
	  rm -f $(DESTDIR)$(bindir)/`echo $$p|sed '$(transform)'`; \
	done
tags: TAGS
TAGS:


distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)

subdir = scripts

distdir: $(DISTFILES)
	here=`cd $(top_builddir) && pwd`; \
	top_distdir=`cd $(top_distdir) && pwd`; \
	distdir=`cd $(distdir) && pwd`; \
	cd $(top_srcdir) \
	  && $(AUTOMAKE) --include-deps --build-dir=$$here --srcdir-name=$(top_srcdir) --output-dir=$$top_distdir --gnu scripts/Makefile
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  if test -d $$d/$$file; then \
	    cp -pr $$d/$$file $(distdir)/$$file; \
	  else \
	    test -f $(distdir)/$$file \
	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	    || cp -p $$d/$$file $(distdir)/$$file || :; \
	  fi; \
	done
info-am:
info: info-am
dvi-am:
dvi: dvi-am
check-am: all-am
check: check-am
installcheck-am:
installcheck: installcheck-am
install-exec-am: install-binSCRIPTS
	@$(NORMAL_INSTALL)
	$(MAKE) $(AM_MAKEFLAGS) install-exec-hook
install-exec: install-exec-am

install-data-am:
install-data: install-data-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
install: install-am
uninstall-am: uninstall-binSCRIPTS uninstall-local
uninstall: uninstall-am
all-am: Makefile $(SCRIPTS)
all-redirect: all-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) AM_INSTALL_PROGRAM_FLAGS=-s install
installdirs:
	$(mkinstalldirs)  $(DESTDIR)$(bindir)


mostlyclean-generic:

clean-generic:
	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)
	-rm -f config.cache config.log stamp-h stamp-h[0-9]*

maintainer-clean-generic:
mostlyclean-am:  mostlyclean-generic

mostlyclean: mostlyclean-am

clean-am:  clean-generic mostlyclean-am

clean: clean-am

distclean-am:  distclean-generic clean-am

distclean: distclean-am

maintainer-clean-am:  maintainer-clean-generic distclean-am
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

maintainer-clean: maintainer-clean-am

.PHONY: uninstall-binSCRIPTS install-binSCRIPTS tags distdir info-am \
info dvi-am dvi check check-am installcheck-am installcheck \
install-exec-am install-exec install-data-am install-data install-am \
install uninstall-local uninstall-am uninstall all-redirect all-am all \
installdirs mostlyclean-generic distclean-generic clean-generic \
maintainer-clean-generic clean mostlyclean distclean maintainer-clean


rwho.pl:
	$(PERL) -c g.rwho.pl
	rm -f rwho.pl
	echo "#!" $(PERL) > rwho.pl
	cat $(srcdir)/g.rwho.pl >> rwho.pl
	chmod 755 rwho.pl

dmesg.pl:
	$(PERL) -c g.dmesg.pl
	rm -f dmesg.pl
	echo "#!" $(PERL) > dmesg.pl
	cat $(srcdir)/g.dmesg.pl >> dmesg.pl
	chmod 755 dmesg.pl

du.pl:
	$(PERL) -c g.du.pl
	rm -f du.pl
	echo "#!" $(PERL) > du.pl
	cat $(srcdir)/g.du.pl >> du.pl
	chmod 755 du.pl

ls.pl:
	$(PERL) -c g.ls.pl
	rm -f ls.pl
	echo "#!" $(PERL) > ls.pl
	cat $(srcdir)/g.ls.pl >> ls.pl
	chmod 755 ls.pl

netstat.pl:
	$(PERL) -c g.netstat.pl
	rm -f netstat.pl
	echo "#!" $(PERL) > netstat.pl
	cat $(srcdir)/g.netstat.pl >> netstat.pl
	chmod 755 netstat.pl

ps.pl:
	$(PERL) -c g.ps.pl
	rm -f ps.pl
	echo "#!" $(PERL) > ps.pl
	cat $(srcdir)/g.ps.pl >> ps.pl
	chmod 755 ps.pl

ps_filter.pl:
	$(PERL) -c g.ps_filter.pl
	rm -f ps_filter.pl
	echo "#!" $(PERL) > ps_filter.pl
	cat $(srcdir)/g.ps_filter.pl >> ps_filter.pl
	chmod 755 ps_filter.pl

route.pl:
	$(PERL) -c g.route.pl
	rm -f route.pl
	echo "#!" $(PERL) > route.pl
	cat $(srcdir)/g.route.pl >> route.pl
	chmod 755 route.pl

route_filter.pl:
	$(PERL) -c g.route_filter.pl
	rm -f route_filter.pl
	echo "#!" $(PERL) > route_filter.pl
	cat $(srcdir)/g.route_filter.pl >> route_filter.pl
	chmod 755 route_filter.pl

ifconfig_filter.pl:
	$(PERL) -c g.ifconfig_filter.pl
	rm -f ifconfig_filter.pl
	echo "#!" $(PERL) > ifconfig_filter.pl
	cat $(srcdir)/g.ifconfig_filter.pl >> ifconfig_filter.pl
	chmod 755 ifconfig_filter.pl

ifconfig.pl:
	$(PERL) -c g.ifconfig.pl
	rm -f ifconfig.pl
	echo "#!" $(PERL) > ifconfig.pl
	cat $(srcdir)/g.ifconfig.pl >> ifconfig.pl
	chmod 755 ifconfig.pl

du_filter.pl:
	$(PERL) -c g.du_filter.pl
	rm -f du_filter.pl
	echo "#!" $(PERL) > du_filter.pl
	cat $(srcdir)/g.du_filter.pl >> du_filter.pl
	chmod 755 du_filter.pl

df.pl:
	$(PERL) -c g.df.pl
	rm -f df.pl
	echo "#!" $(PERL) > df.pl
	cat $(srcdir)/g.df.pl >> df.pl
	chmod 755 df.pl

install-exec-hook:
	# == Creating .glinaccess.sourceme ==
	@$(PERL) -c u.createglinaccess.pl
	@echo "#!" $(PERL) > createglinaccess.pl
	@cat $(srcdir)/u.createglinaccess.pl >> createglinaccess.pl
	@chmod 755 createglinaccess.pl
	@$(srcdir)/createglinaccess.pl $(SH) $(bindir) > .glinaccess.sourceme
	@chmod 755 .glinaccess.sourceme
	@rm createglinaccess.pl
	# == Creating sekeltons ==
	@$(PERL) -c u.replace.pl
	@echo "#!" $(PERL) > replace.pl
	@cat $(srcdir)/u.replace.pl >> replace.pl
	@chmod 755 replace.pl
	@rm -f .pork
	@rm -f .pork2
	# --> .toprc
	@cp top.toprc .toprc
	# --> .fvwm2rc
	@$(srcdir)/replace.pl x.fvwm2rc .pork "<X_INCLUDES>" @x_includes@
	@$(srcdir)/replace.pl .pork .pork2 "<X_LIBRARIES>" @x_libraries@
	@mv .pork2 .fvwm2rc
	# --> .fvwmrc
	@$(srcdir)/replace.pl x.fvwmrc .pork "<X_INCLUDES>" @x_includes@
	@$(srcdir)/replace.pl .pork .pork2 "<X_LIBRARIES>" @x_libraries@
	@mv .pork2 .fvwmrc
	# --> .twmrc
	@$(srcdir)/replace.pl x.twmrc .pork "<X_INCLUDES>" @x_includes@
	@$(srcdir)/replace.pl .pork .pork2 "<X_LIBRARIES>" @x_libraries@
	@mv .pork2 .twmrc
	# --> .xinitrc
	@$(srcdir)/replace.pl x.xinitrc .pork "<X_INCLUDES>" @x_includes@
	@$(srcdir)/replace.pl .pork .pork2 "<X_LIBRARIES>" @x_libraries@
	@mv .pork2 .xinitrc
	# == Finished creating skeletons ==
	@rm -f .pork
	@rm -f .pork2
	# == Fixing script Path ==
	# --> ifconfig
	@$(srcdir)/replace.pl $(bindir)/ifconfig.pl $(bindir)/.pork "<BINDIR>" $(bindir)
	@mv $(bindir)/.pork $(bindir)/ifconfig.pl
	@chmod 755 $(bindir)/ifconfig.pl
	# --> du
	@$(srcdir)/replace.pl $(bindir)/du.pl $(bindir)/.pork "<BINDIR>" $(bindir)
	@mv $(bindir)/.pork $(bindir)/du.pl
	@chmod 755 $(bindir)/du.pl
	# --> ps
	@$(srcdir)/replace.pl $(bindir)/ps.pl $(bindir)/.pork "<BINDIR>" $(bindir)
	@mv $(bindir)/.pork $(bindir)/ps.pl
	@chmod 755 $(bindir)/ps.pl
	# --> route
	@$(srcdir)/replace.pl $(bindir)/route.pl $(bindir)/.pork "<BINDIR>" $(bindir)
	@mv $(bindir)/.pork $(bindir)/route.pl
	@chmod 755 $(bindir)/route.pl
	# == Finished fixing script Path ==
	@rm -f $(bindir).pork
	@rm -f replace.pl
	# == Copying files ==
	@cp x10 x20 x30 x40 x47 x56 x62 x80 x oc xc xterm30 xterm40 x80big $(bindir)
	@$(PERL) -c u.files.pl
	@echo "#!" $(PERL) > files.pl
	@cat $(srcdir)/u.files.pl >> files.pl
	@chmod 755 files.pl
	@$(srcdir)/files.pl add $(prefix)
	@rm files.pl

uninstall-local:
	# == Removing files ==
	@rm $(bindir)/x10 $(bindir)/x20 $(bindir)/x30 $(bindir)/x40
	@rm $(bindir)/x47 $(bindir)/x56 $(bindir)/x62 $(bindir)/x80
	@rm $(bindir)/x80big $(bindir)/x $(bindir)/oc $(bindir)/xc 
	@rm $(bindir)/xterm30 $(bindir)/xterm40
	@$(PERL) -c u.files.pl
	@echo "#!" $(PERL) > files.pl
	@cat $(srcdir)/u.files.pl >> files.pl
	@chmod 755 files.pl
	@$(srcdir)/files.pl remove $(prefix)
	@rm files.pl 

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
